{ pkgs ? import <nixpkgs> { }, lua ? pkgs.lua5_3
, luaPackages ? pkgs.lua53Packages }:

with pkgs;
with luaPackages;

buildLuarocksPackage {
  pname = "ln";
  version = "0.2.1-2";

  src = fetchurl {
    url = "https://luarocks.org/ln-0.2.1-2.src.rock";
    sha256 = "1hb1vw68w407y05nprp352c0di6iybz4gjdhc0p521cpif4l8i1l";
  };
  propagatedBuildInputs = [ lua dkjson ];

  meta = with lib; {
    homepage = "https://tulpa.dev/cadey/lua-ln";
    description = "The natural log function";
    license.fullName = "0bsd";
  };
}

